;;;; package.lisp

(defpackage #:bearlibterminal-ffi)
(defpackage #:bearlibterminal-ffi.accessors)
(defpackage #:bearlibterminal-ffi.functions)

(defpackage #:bearlibterminal
  (:use #:cl
        #:autowrap.minimal
        #:plus-c
        #:bearlibterminal-ffi.functions
        #:bearlibterminal-ffi.accessors)
  (:export
   #:terminal-open
   #:terminal-read
   #:terminal-print
   #:terminal-close
   #:terminal-refresh))

(defpackage #:bearlibterminal-examples
  (:use :cl :bearlibterminal)
  (:export #:hello-world))
